import React from 'react';
import './App.scss';
import { Provider } from 'react-redux';
import { Router } from 'react-router';
import RoutesConfig from './routesConfig';
import history from './utils/history';
import { createStore } from 'redux';
import createReducer from './rootReducer';

const App = () => {
  const store = createStore(createReducer());
  return (
    <div className="App">
      <Provider store={store}>
        <Router history={history}>
          <RoutesConfig />
        </Router>
      </Provider>
    </div>
  );
};

export default App;
